package com.jwipc.sys.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jwipc.sys.entity.SupplierOrderFileSetting;
import com.jwipc.sys.mapper.SupplierOrderFileSettingMapper;
import com.jwipc.sys.model.po.SupplierOrderFileSettingPO;
import com.jwipc.sys.model.query.SupplierOrderFileSettingQuery;
import com.jwipc.sys.service.ISupplierOrderFileSettingService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 供货商出货检验报告设置表 服务实现类
 * </p>
 *
 * @author Chen Tianshi
 * @since 2025-08-06 09:34:18
 */
@Service
public class SupplierOrderFileSettingServiceImpl extends ServiceImpl<SupplierOrderFileSettingMapper, SupplierOrderFileSetting> implements ISupplierOrderFileSettingService {
    @Override
    public List<SupplierOrderFileSettingPO> findPageByQuery(Page<SupplierOrderFileSetting> dbPage, SupplierOrderFileSettingQuery query) {
        if (dbPage==null){
            return baseMapper.findPageByQuery(query);
        }
        return baseMapper.findPageByQuery(dbPage,query);
    }
    @Override
    public SupplierOrderFileSettingPO getDataById(Long id) {
        return baseMapper.getDataById(id);
    }

    @Override
    public SupplierOrderFileSettingPO getDataBySupplierCode(String supplierCode) {
        return baseMapper.getDataBySupplierCode(supplierCode);
    }
}
